org.apache.jmeter.report.processor

## Class ApdexThresholdsInfo

- java.lang.Object
- - org.apache.jmeter.report.processor.ApdexThresholdsInfo

    public class ApdexThresholdsInfo
    extends Object

The class ApdexThresholdsInfo provides a container for APDEX threshold information.

Since:
  3.0

### Constructor Summary

Constructors
Constructor and Description
`ApdexThresholdsInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getSatisfiedThreshold()`
`long` `getToleratedThreshold()`
`void` `setSatisfiedThreshold(long satisfiedThreshold)`
`void` `setToleratedThreshold(long toleratedThreshold)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ApdexThresholdsInfo

    public ApdexThresholdsInfo()

### Method Detail

#### getSatisfiedThreshold

    public final long getSatisfiedThreshold()

#### setSatisfiedThreshold

    public final void setSatisfiedThreshold(long satisfiedThreshold)

#### getToleratedThreshold

    public final long getToleratedThreshold()

#### setToleratedThreshold

    public final void setToleratedThreshold(long toleratedThreshold)